{% extends 'my_vl_app/base.html' %}

{% block content %}
<div class="b-example-divider"></div>
<div class="container">
    {% if control == 'added' %}
        <div class="alert alert-success" role="alert">
            Book was added successfully!
        </div>
    {% elif control == 'error' %}
        <div class="alert alert-danger" role="alert">
            An unexpected error occurred while adding to the book, contact the administrator!
        </div>
    {% elif control == 'errorExists' %}
        <div class="alert alert-warning" role="alert">
            The book is already in the bookshelf!
        </div>
    {% endif %}
    <div class="card">
        <h5 class="card-header">Book</h5>
        <div class="card-body">
            <h5 class="card-title">Add a book to a bookshelf</h5>
            <form class="p-4 p-md-5 border rounded-3 bg-light" action="{% url 'add_book_bookshelf' %}" method="post">
                {% csrf_token %}
                <div class="form-group mb-3">
                    {% if bookshelfs %}
                        {% for book in books %}
                            {% if forloop.first %}
                                <label for="inputBook_id" class="form-label">Book</label>
                                <select id="inputBook_id" name="inputBook_id" class="form-select mb-3">
                                <option value="{{ book.id }}" selected>{{ book.title }} - {{ book.editorial.name }}</option>
                            {% else %}
                                <option value="{{ book.id }}">{{ book.title }} - {{ book.editorial.name }}</option>
                            {% endif %}
                            {% empty %}
                                <h1>There are no books to add</h1>
                        {% endfor %}
                    </select>
                    {% endif %}
                    {% if books %}
                        {% for bookshelf in bookshelfs %}
                            {% if forloop.first %}
                                <label for="inputBookshelf_id" class="form-label">Bookshelf id</label>
                                <select id="inputBookshelf_id" name="inputBookshelf_id" class="form-select mb-3">
                                <option value="{{ bookshelf.id }}" selected>{{ bookshelf.id }} - {{ bookshelf.category }}</option>
                            {% else %}
                                <option value="{{ bookshelf.id }}">{{ bookshelf.id }} - {{ bookshelf.category }}</option>
                            {% endif %}
                            {% empty %}
                                <h1>There are no bookshelfs to add the book</h1>
                        {% endfor %}
                    </select>
                    {% endif %}
                    {% if not bookshelfs and not books %}
                        <h1>There are no books and bookshelfs to add the book</h1>
                    {% endif %}
                </div>
                {% if books and bookshelfs %}
                    <button type="submit" class="btn btn-success">Add Book</button>
                {% endif %}
                <button type="button" onclick="window.location.href='{% url 'all_books' %}'" class="btn btn-primary">Return</button>
            </form>
        </div>
    </div>
</div>
{% endblock %}
